Bug 985053 - When a host is manually fenced, HA VMs that are stopped on that host aren't restarted automatically
When a host is manually fenced, HA VMs that are stopped on that host aren't r...
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.2.0
All Linux
urgent Severity high
: ---
: 3.3.0
Assigned To: Nobody's working on this, feel free to take it
sla
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-16 12:35 EDT by Allan Voss
Modified: 2016-02-10 15:19 EST (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-16 10:08:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: SLA
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 442433 None None None Never

  None (edit)
Description Allan Voss 2013-07-16 12:35:15 EDT
Description of problem: When a host is manually fenced, HA VMs that are stopped on that host aren't restarted automatically


Version-Release number of selected component (if applicable):
3.2

How reproducible:
Very

Steps to Reproduce:
1. Start HA VMs on hypervisor
2. Manually fence the hypervisor

Actual results:
HA VMs are not restarted

Expected results:
HA VMs restarted

Additional info:
This is happening in 3.1 and 3.2
Comment 1 Andrew Cathrow 2013-07-17 10:17:39 EDT
Was fencing set up on the host?

In between step 1 and step 2 did the host get powered down or lose network connectivity ?

Can we get logs attached to the BZ or linked?

thanks.
Comment 3 Julio Entrena Perez 2013-07-17 13:49:30 EDT
Description of problem:
If a host containing a guest configured as HA goes down and fencing fails, after host comes back and rejoins the cluster guest is not restarted.

Version-Release number of selected component (if applicable):
rhevm-3.2.0-11.37.el6ev

How reproducible:
Always.

Steps to Reproduce:
1. Configure a guest to be a HA guest (HA option enabled).
2. Disable fencing on one RHEV host (e.g. change fencing device password so fencing attempts fail).
3. Kill 'vdsmd' on host where HA guest runs.
4. Wait for fencing attempts to fail, after about 3 minutes RHEV-M will report host as "Non Responsive".
5. Manually stop HA guest (e.g. ssh ha-vm "sudo poweroff").
6. Manually reboot host.
7. Wait for host to boot up and rejoin RHEV cluster.

Actual results:
HA guest is not restarted after host rejoins the cluster.

Expected results:
HA guest is restarted after host rejoins the cluster.

Additional info:
Will follow up with sosreports and LogCollector details.
Comment 15 Doron Fediuck 2013-09-16 10:08:36 EDT
According to DB analysis this report may not be an issue.
If anyone is able to reproduce with HA VMs, please reopen.

Note You need to log in before you can comment on or make changes to this bug.